Skip to main content
DELETE
/
api
/
public
/
v1
/
games
/
{game}
/
sideboard-guides
/
{id}
Delete a sideboard guide
curl --request DELETE \
  --url https://api.flexslot.gg/api/public/v1/games/{game}/sideboard-guides/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Partner-Id: <api-key>' \
  --header 'X-Signature: <api-key>'
import requests

url = "https://api.flexslot.gg/api/public/v1/games/{game}/sideboard-guides/{id}"

headers = {
"X-Signature": "<api-key>",
"X-Partner-Id": "<api-key>",
"Authorization": "Bearer <token>"
}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {
method: 'DELETE',
headers: {
'X-Signature': '<api-key>',
'X-Partner-Id': '<api-key>',
Authorization: 'Bearer <token>'
}
};

fetch('https://api.flexslot.gg/api/public/v1/games/{game}/sideboard-guides/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Authorizations

X-Signature
string
header
required

HMAC-SHA256 over canonical request string. Format: v1.<unix_seconds>.<hex_hmac_sha256>.

X-Partner-Id
string
header
required

Partner identifier slug. Required alongside X-Signature for HMAC auth.

Authorization
string
header
required

User-issued personal access token (format: flx_pat_).

Path Parameters

game
string
required
id
string<uuid>
required

Response

No response body